EDIT - feature request #6076

Specimen biocase search should work on observations
09/13/2016 03:05 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: cdmlib Estimated time: 1:00 hour
Target version: Release 4.6

Severity: normal

Description

Actually the specimen biocase search only works on Specimen, it should also search for observations.

Associated revisions

Revision 91e5776b - 10/07/2016 10:52 AM - Katja Luther

specimen import/search changes

History

#1 - 09/14/2016 10:05 AM - Wolf-Henning Kusber

... should work on all types of "RecordBasis" (wenn es um Importe oder Specimeneingaben geht, AlgaTerra hat z.B. LivingSpecimen, Corvids Fossil
etc.)

#2 - 09/26/2016 01:33 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from Priority14 to Highest
- Estimated time set to 1:00 h

Please add some more information what it is all about.

#3 - 09/26/2016 03:17 PM - Katja Luther
The specimen search works only for preserved specimen, but should return all kind of specimen.
Therefore the filter for preserved specimen needs to be removed and the handling of the other kinds of specimen needs to be improved.

#4 - 12/01/2016 02:37 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#5 - 01/11/2017 01:50 PM - Katja Luther

The specimen search works now on all types of specimen. Find the commit.

#6 - 01/19/2017 01:21 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#7 - 01/31/2017 11:49 AM - Katja Luther
the search works on all record basis now.
we need to check whether the model covers all types.

#8 - 02/21/2017 10:40 AM - Katja Luther

- Status changed from In Progress to Resolved
#9 - 12/18/2020 10:55 PM - Andreas Miiller

What needs to be done to close this ticket?
Is it for review? If yes, how to review? Which search did not work? In TaxEditor or in dataportal?
There was a similar issue recently for specimen pages development. Therefore | added AK. Maybe this is a duplicate somehow.

#10 - 01/18/2021 10:34 AM - Andreas Muller

- Status changed from Resolved to Feedback

#11 - 01/18/2021 10:37 AM - Katja Luther
- Description updated

- Status changed from Feedback to Resolved

#12 - 01/18/2021 10:38 AM - Katja Luther

- Subject changed from Specimen search should work on observations to Specimen biocase search should work on observations

#13 - 01/18/2021 10:38 AM - Katja Luther

- Status changed from Resolved to Feedback

#14 - 01/19/2021 04:01 PM - Katja Luther
- Status changed from Feedback to Closed

this ticket was about the filter on preservedSpecimen in the biocase search, now all records can be found. Comparing RecordBasisEnum of ABCD
and SpecimenOrObservationType shows that all recordbase types are covered by the model, so we can close this ticket
